Most people have issues if they are using an old version of Internet Explorer, so please try Google Chrome or Firefox instead.